<?php
/*
Plugin Name: Dialective
Plugin URI: http://wordpress.org/extend/plugins/dialective
Description: Easily embed engaging <a href="https://www.dialective.com" target="_new">Dialective online catalogs</a> using a simple shortcode [dialective src="&lt;your dialective URL here&gt;"].
Version: 1.3
Author: Dialective Team
Author URI: https://www.dialective.com
*/

  function generateShortcode($atts) {
	// Set dialective parameters
	
	extract( shortcode_atts( array(
		'src' => '',
		'width' => '',
	), $atts ) );

    // Validate input parameter
	$err = '';
	$height='';
	if(!$width) {
	  $width=600;
	}		
    if(!is_numeric($width))
      $err .= 'Error: width must be numeric. Default: 600';

    if($err != ''){
      return $err;
    } else {
      $height = ($width * 3 / 5) + 65;
	  $temp = strstr($src, 'id=');
	  if (!$temp) {
	      $err .= 'ERROR: You must provide the URL of the dialective you want to embed: [dialective src="YOUR_DIALECTIVE_URL"]';
		  return $err;
	  }	
	  $id = substr($temp, 0, 15);  // Story id has always 12 characters (+ "id=")
      return '<iframe frameborder=0 border=0 scrolling="no" src="https://www.dialective.com?'.$id.'#i" width="'.$width.'px" height="'.$height.'px">Your browser does not support iframes. Click <a href="https://www.dialective.com?id='.$id.'#!v">here</a> to see the story</iframe>';
    }
  }
  
  add_shortcode('dialective','generateShortcode');
?>